Bug 1085382 - [abrt] claws-mail: g_malloc(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: g_malloc(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e015174c14915cc7eaafd9ce003...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-08 13:27 UTC by Alois Mahdal
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:55 UTC


Attachments (Terms of Use)
File: backtrace (89.59 KB, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: cgroup (173 bytes, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: core_backtrace (12.23 KB, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: dso_list (14.53 KB, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: environ (1.97 KB, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: exploitable (82 bytes, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-08 13:27 UTC, Alois Mahdal
no flags Details
File: maps (73.21 KB, text/plain)
2014-04-08 13:28 UTC, Alois Mahdal
no flags Details
File: open_fds (1.43 KB, text/plain)
2014-04-08 13:28 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2014-04-08 13:28 UTC, Alois Mahdal
no flags Details
File: var_log_messages (716 bytes, text/plain)
2014-04-08 13:28 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-04-08 13:27:29 UTC
Description of problem:
Claws-mail crashed some time when I was away from keyboard and screen was locked.

Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: g_malloc
executable:     /usr/bin/claws-mail
kernel:         3.13.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 g_malloc at gmem.c:104
 #3 g_strconcat at gstrfuncs.c:589
 #4 vcal_manager_get_event_file at vcal_manager.c:860
 #5 vcal_manager_load_event at vcal_manager.c:1096
 #6 vcal_get_events_list at vcal_folder.c:742
 #7 vcal_meeting_alert_check at vcal_meeting_gtk.c:1860
 #13 gtk_main at gtkmain.c:1257

Comment 1 Alois Mahdal 2014-04-08 13:27:36 UTC
Created attachment 884073 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-04-08 13:27:38 UTC
Created attachment 884074 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-04-08 13:27:41 UTC
Created attachment 884075 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-04-08 13:27:44 UTC
Created attachment 884076 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-04-08 13:27:49 UTC
Created attachment 884077 [details]
File: environ

Comment 6 Alois Mahdal 2014-04-08 13:27:53 UTC
Created attachment 884078 [details]
File: exploitable

Comment 7 Alois Mahdal 2014-04-08 13:27:57 UTC
Created attachment 884079 [details]
File: limits

Comment 8 Alois Mahdal 2014-04-08 13:28:02 UTC
Created attachment 884080 [details]
File: maps

Comment 9 Alois Mahdal 2014-04-08 13:28:04 UTC
Created attachment 884081 [details]
File: open_fds

Comment 10 Alois Mahdal 2014-04-08 13:28:08 UTC
Created attachment 884082 [details]
File: proc_pid_status

Comment 11 Alois Mahdal 2014-04-08 13:28:11 UTC
Created attachment 884083 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-04-21 16:03:21 UTC
Same response as in bug 1071327, albeit there has been an interesting series of commits upstream related to memory corruption caused by interrupting an IMAP session: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=3145

Comment 13 Fedora Update System 2014-05-26 21:17:23 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:56 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:46 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:55 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:50 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:24 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:04 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:13 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:58 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:25 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.